using Nox.Platform;

namespace Nox.Input {
    public class EditorInput : IInput {
        private readonly PlatformSettings platformSettings;

        public EditorInput(PlatformSettings platformSettings) {
            this.platformSettings = platformSettings;
        }
        public void Initialize() {
            platformSettings.inputSettings.inputActions = new InputSystem_Actions();
            platformSettings.inputSettings.inputActions.Enable();
        }
        public void Tick() { }
        public void Dispose() { }
    }
}
